import java.util.Hashtable;

public class ModelBasedTVEVaccumAgentProgram extends AgentProgram {
    
    ModelBasedTVEVaccumAgent myAgent;
    
    ModelBasedTVEVaccumAgentProgram(ModelBasedTVEVaccumAgent a) {
        myAgent = a;
    }

    public  String execute(Percept percept){
        String location = (String) percept.get("location");
        String locationStatus = (String)percept.get("status");
        //update Model
        Hashtable model = myAgent.getModel();

        model.put(location, locationStatus);
        
        String loc1Status  =  (String) model.get("A");
        String loc2Status  =  (String) model.get("B");
        
        if(((loc1Status != null) && (loc1Status.equals("Clean"))) && ((loc2Status != null) && (loc2Status.equals("Clean")))) {
            return "NoOp";
        }
        else if(locationStatus.equals("Dirty")) {
            return "Suck";
        }
        else if (location.equals("A")) {
            return "Right";
        }
        else if (location.equals("B")) {
            return "Left";
        }
        else return "None";

    }
}
