import java.util.Hashtable;

public class EnvironmentObject {
    /*This represents any physical object that can appear in an Environment.
    You subclass Object to get the objects you want.  */

    protected String name;
    protected boolean isAlive;
    protected Hashtable enviromentSpecificAttributes;
    public EnvironmentObject(){
       isAlive= true;
       enviromentSpecificAttributes = new Hashtable();
       name = "Not Set";
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isAlive() {
        return isAlive;
    }

    public void setAlive(boolean alive) {
        isAlive = alive;
    }

    public void setAttribute(String name, Object value){
            enviromentSpecificAttributes.put(name,value);
    }

    public Object getAttribute(String name){
        return enviromentSpecificAttributes.get(name);
    }


}
